//
//  MFMenuItemView.m
//  MenuFocus
//
//  Created by Christian Knappskog on 11.05.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MFMenuItemView.h"


@implementation MFMenuItemView

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

#define menuItem ([self enclosingMenuItem])

- (void) drawRect: (NSRect) rect {
    BOOL isHighlighted = [menuItem isHighlighted];
    if (isHighlighted) {
        [[NSColor selectedMenuItemColor] set];
        [NSBezierPath fillRect:rect];
    } else {
        [super drawRect: rect];
    }
}

@end
