#import "MFMenuItemViewController.h"

@implementation MFMenuItemViewController

@synthesize action, actionLabel, project, projectLabel, actionDone, actionDoneButton;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)setAction:(NSString *)newAction {
    [action autorelease];
    action = [newAction retain];
    [[self actionLabel] setStringValue:action];
}

- (void)setProject:(NSString *)newProject {
    [project autorelease];
    project = [newProject retain];
    [[self projectLabel] setStringValue:project];
}

- (void)setActionDone:(BOOL)newActionDone {
    actionDone = newActionDone;
    [[self actionDoneButton] setEnabled:newActionDone];
}


- (void)dealloc
{
    [super dealloc];
}

@end
