/*
 * OFAEMConstants.h
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import <Foundation/Foundation.h>
#import "Appscript/Appscript.h"

/* Types, enumerators, properties */

enum {
    kOFActive = 'FCPa',
    kOFApplicationResponses = 'rmte',
    kOFAsk = 'ask ',
    kOFCase_ = 'case',
    kOFDay = 'FCId',
    kOFDetailed = 'lwdt',
    kOFDiacriticals = 'diac',
    kOFDone = 'FCPd',
    kOFDropped = 'FCPD',
    kOFExpansion = 'expa',
    kOFHour = 'FCIH',
    kOFHyphens = 'hyph',
    kOFMinute = 'FCIM',
    kOFMonth = 'FCIm',
    kOFNo = 'no  ',
    kOFNumericStrings = 'nume',
    kOFOnHold = 'FCPh',
    kOFPunctuation = 'punc',
    kOFStandard = 'lwst',
    kOFWeek = 'FCIw',
    kOFWhitespace = 'whit',
    kOFYear = 'FCIy',
    kOFYes = 'yes ',
    kOFApril = 'apr ',
    kOFAugust = 'aug ',
    kOFDecember = 'dec ',
    kOFEPSPicture = 'EPS ',
    kOFFebruary = 'feb ',
    kOFFriday = 'fri ',
    kOFGIFPicture = 'GIFf',
    kOFJPEGPicture = 'JPEG',
    kOFJanuary = 'jan ',
    kOFJuly = 'jul ',
    kOFJune = 'jun ',
    kOFMarch = 'mar ',
    kOFMay = 'may ',
    kOFMonday = 'mon ',
    kOFNovember = 'nov ',
    kOFOctober = 'oct ',
    kOFPICTPicture = 'PICT',
    kOFPNGData = 'PNGf',
    kOFRGB16Color = 'tr16',
    kOFRGB96Color = 'tr96',
    kOFRGBColor = 'cRGB',
    kOFSaturday = 'sat ',
    kOFSeptember = 'sep ',
    kOFSunday = 'sun ',
    kOFTIFFData = 'TIFF',
    kOFTIFFPicture = 'TIFF',
    kOFThursday = 'thu ',
    kOFTuesday = 'tue ',
    kOFWednesday = 'wed ',
    kOFA = 'OSav',
    kOFAlias = 'alis',
    kOFAllowedMailSenders = 'FCAs',
    kOFAllowsNextAction = 'FCNA',
    kOFAltitude = 0x4f466c5e,
    kOFAncestorTree = 'OTan',
    kOFAnything = '****',
    kOFApplication = 'capp',
    kOFApplicationBundleID = 'bund',
    kOFApplicationSignature = 'sign',
    kOFApplicationURL = 'aprl',
    kOFArchive = 'OScA',
    kOFArchiveData = 'OSAd',
    kOFAssignedContainer = 'FCAc',
    kOFAttachment = 'atts',
    kOFAttribute = 'OSsa',
    kOFAttributeRun = 'catr',
    kOFAvailableGroupingIdentifiers = 'FCGI',
    kOFAvailableSmartGroupIdentifiers = 'FCSI',
    kOFAvailableSortingIdentifiers = 0x46435e49,
    kOFAvailableTask = 'FCat',
    kOFAvailableTaskCount = 0x46436123,
    kOFAvailableTaskDurationFilterIdentifiers = 'FCFI',
    kOFAvailableTaskFlaggedFilterIdentifiers = 'FCFF',
    kOFAvailableTaskStateFilterIdentifiers = 0x46433f49,
    kOFAvailableViewModeIdentifiers = 'FCVM',
    kOFB = 'OSbv',
    kOFBest = 'best',
    kOFBlocked = 'FCBl',
    kOFBoolean = 'bool',
    kOFBoundingRectangle = 'qdrt',
    kOFBounds = 'pbnd',
    kOFBuildNumber = 'FCbn',
    kOFC = 'OScv',
    kOFCanRedo = 'FCcr',
    kOFCanUndo = 'FCcu',
    kOFCatalog = 'OScC',
    kOFCentimeters = 'cmtr',
    kOFCharacter = 'cha ',
    kOFClassInfo = 'gcli',
    kOFClass_ = 'pcls',
    kOFCloseable = 'hclb',
    kOFCollating = 'lwcl',
    kOFColor = 'OSco',
    kOFColorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue = 'cctB',
    kOFColorTable = 'clrt',
    kOFCompleted = 'FCcd',
    kOFCompletedByChildren = 'FCbc',
    kOFCompletionDate = 'FCdc',
    kOFCompletionMatch = 'FCCM',
    kOFCompressesTransactions = 'FCCX',
    kOFContainer = 'ctnr',
    kOFContainingDocument = 'FCCo',
    kOFContainingProject = 'FCPr',
    kOFContent = 'FCcn',
    kOFContentTree = 'FCCt',
    kOFContext = 'FCct',
    kOFContextOrMissingValue = 0x6363743b,
    kOFCopies = 'lwcp',
    kOFCreationDate = 'FCDa',
    kOFCubicCentimeters = 'ccmt',
    kOFCubicFeet = 'cfet',
    kOFCubicInches = 'cuin',
    kOFCubicMeters = 'cmet',
    kOFCubicYards = 'cyrd',
    kOFDashStyle = 'tdas',
    kOFData = 'rdat',
    kOFDate = 'ldt ',
    kOFDateOrMissingValue = 0x6363743c,
    kOFDecimalStruct = 'decm',
    kOFDefaultDocument = 'FCDo',
    kOFDefaultSingletonActionHolder = 0x4643642e,
    kOFDefaultValue = 'OFdv',
    kOFDefiningStyle = 'OSds',
    kOFDegreesCelsius = 'degc',
    kOFDegreesFahrenheit = 'degf',
    kOFDegreesKelvin = 'degk',
    kOFDescendantTree = 'OTds',
    kOFDocument = 'docu',
    kOFDocumentOrQuickEntryTree = 'cct6',
    kOFDocumentOrQuickEntryTreeOrFolder = 'cct5',
    kOFDocumentOrQuickEntryTreeOrProjectOrTask = 0x6363743a,
    kOFDocumentWindow = 'FCdw',
    kOFDoubleInteger = 'comp',
    kOFDueDate = 'FCDd',
    kOFEffectivelyHidden = 'FCHe',
    kOFElementInfo = 'elin',
    kOFEmbedded = 'OSin',
    kOFEncodedString = 'encs',
    kOFEndingPage = 'lwlp',
    kOFEnumerator = 'enum',
    kOFErrorHandling = 'lweh',
    kOFEstimatedMinutes = 'FCEM',
    kOFEventInfo = 'evin',
    kOFExpanded = 0x4f54783f,
    kOFExtendedFloat = 'exte',
    kOFFaxNumber = 'faxn',
    kOFFeet = 'feet',
    kOFFile = 'file',
    kOFFileAttachment = 'OSfA',
    kOFFileName = 'atfn',
    kOFFileOrListOfFile = 'cct0',
    kOFFileRef = 'fsrf',
    kOFFileSpecification = 'fss ',
    kOFFileURL = 'furl',
    kOFFixed = 'fixd',
    kOFFixedPoint = 'fpnt',
    kOFFixedRectangle = 'frct',
    kOFFixed_ = 'FCIf',
    kOFFlagged = 'FCfl',
    kOFFlattenedContext = 'FCfc',
    kOFFlattenedFolder = 'FCff',
    kOFFlattenedProject = 'FCfx',
    kOFFlattenedTask = 'FCft',
    kOFFloat128bit = 'ldbl',
    kOFFloat_ = 'doub',
    kOFFocus = 'FCFs',
    kOFFocusSections = 'FCFS',
    kOFFolder = 'FCAr',
    kOFFolderOrMissingValue = 'cct9',
    kOFFollowingSibling = 'OTfs',
    kOFFont = 'font',
    kOFFrontmost = 'pisf',
    kOFG = 'OSgv',
    kOFGallons = 'galn',
    kOFGeocode = 'FCgc',
    kOFGeocodeOrMissingValue = 'cct7',
    kOFGrams = 'gram',
    kOFGraphicText = 'cgtx',
    kOFH = 'OShv',
    kOFHidden = 'FCHi',
    kOFId_ = 'ID  ',
    kOFInInbox = 'FCIi',
    kOFInbox = 'FCIb',
    kOFInboxTask = 'FCit',
    kOFInboxTree = 'FCIs',
    kOFInches = 'inch',
    kOFIncludesSummaries = 0x46432b53,
    kOFIndex = 'pidx',
    kOFInteger = 'long',
    kOFIntegerOrMissingValue = 0x6363743d,
    kOFInternationalText = 'itxt',
    kOFInternationalWritingCode = 'intl',
    kOFItem = 'cobj',
    kOFK = 'OSyk',
    kOFKernelProcessID = 'kpid',
    kOFKilograms = 'kgrm',
    kOFKilometers = 'kmtr',
    kOFLastReviewDate = 'FCDr',
    kOFLastSyncDate = 'FCsd',
    kOFLastSyncError = 'FCse',
    kOFLatitude = 'OFly',
    kOFLeaf = 'OTlf',
    kOFLibrary = 'FCLb',
    kOFLibraryTree = 'FCLt',
    kOFList = 'list',
    kOFListOfFileOrSpecifier = 'cct1',
    kOFListOfItemOrFocusSectionsOrAny = 'cct3',
    kOFListOfSpecifierOrSpecifier = 0x63637440,
    kOFLiters = 'litr',
    kOFLocation = 'FClo',
    kOFLocationReference = 'insl',
    kOFLongFixed = 'lfxd',
    kOFLongFixedPoint = 'lfpt',
    kOFLongFixedRectangle = 'lfrc',
    kOFLongPoint = 'lpnt',
    kOFLongRectangle = 'lrct',
    kOFLongitude = 'OFlx',
    kOFM = 'OSym',
    kOFMachPort = 'port',
    kOFMachine = 'mach',
    kOFMachineLocation = 'mLoc',
    kOFMeters = 'metr',
    kOFMiles = 'mile',
    kOFMinimizable = 'ismn',
    kOFMinimized = 'pmnd',
    kOFMissingValue = 'msng',
    kOFModificationDate = 'FCDm',
    kOFModified = 'imod',
    kOFName = 'pnam',
    kOFNamedStyle = 'OSns',
    kOFNextReviewDate = 'FCDR',
    kOFNextTask = 'FCna',
    kOFNext_ = 'FCnx',
    kOFNote = 'FCno',
    kOFNoteExpanded = 0x4f4e783f,
    kOFNull = 'null',
    kOFNumberOfAvailableTasks = 0x46432361,
    kOFNumberOfCompletedTasks = 0x46432363,
    kOFNumberOfTasks = 0x46432374,
    kOFOunces = 'ozs ',
    kOFPagesAcross = 'lwla',
    kOFPagesDown = 'lwld',
    kOFParagraph = 'cpar',
    kOFParameterInfo = 'pmin',
    kOFParentTask = 'FCPt',
    kOFPasteboardType = 'OTPT',
    kOFPath = 'ppth',
    kOFPerspective = 'FCoo',
    kOFPerspectiveName = 'FCPn',
    kOFPerspectiveNames = 'FPSn',
    kOFPixelMapRecord = 'tpmm',
    kOFPng = 'OScp',
    kOFPoint = 'QDpt',
    kOFPoint_ = 'OSpt',
    kOFPounds = 'lbs ',
    kOFPrecedingSibling = 'OTps',
    kOFPreference = 'OFpf',
    kOFPrintSettings = 'pset',
    kOFProcessSerialNumber = 'psn ',
    kOFProject = 'FCpr',
    kOFProjectOrMissingValue = 0x6363743f,
    kOFProperties = 'pALL',
    kOFProperty = 'prop',
    kOFPropertyInfo = 'pinf',
    kOFQuarts = 'qrts',
    kOFQuickEntry = 'FCQE',
    kOFQuickEntryTree = 'FCQw',
    kOFR = 'OSrv',
    kOFRadius = 'OFlO',
    kOFReadablePasteboardTypes = 'OTRP',
    kOFRecord = 'reco',
    kOFReference = 'obj ',
    kOFReferenceDate = 'FCrd',
    kOFRemainingTask = 'FC0T',
    kOFRemainingTaskCount = 0x46437223,
    kOFRepetition = 'FCRp',
    kOFRepetitionInterval = 'FCRi',
    kOFRepetitionIntervalOrMissingValue = 0x6363743e,
    kOFResizable = 'prsz',
    kOFReviewInterval = 'FCRI',
    kOFRichText = 'ctxt',
    kOFRootTask = 'FCrt',
    kOFRotation = 'trot',
    kOFS = 'OSsv',
    kOFScore = 'FCms',
    kOFScript = 'scpt',
    kOFSearchTerm = 0x46437e3d,
    kOFSection = 'FCSX',
    kOFSelected = 0x4f54733f,
    kOFSelectedGroupingIdentifier = 'FCGi',
    kOFSelectedSmartGroupIdentifier = 'FCSs',
    kOFSelectedSortingIdentifier = 0x46435e69,
    kOFSelectedTaskDurationFilterIdentifier = 'FCFi',
    kOFSelectedTaskFlaggedFilterIdentifier = 'FCFf',
    kOFSelectedTaskStateFilterIdentifier = 0x46433f69,
    kOFSelectedTree = 'OTst',
    kOFSelectedViewModeIdentifier = 'FCvm',
    kOFSequential = 'FCsq',
    kOFSetting = 'FCpf',
    kOFShortFloat = 'sing',
    kOFShortInteger = 'shor',
    kOFSidebar = 'FCSt',
    kOFSidebarTree = 'FCst',
    kOFSingletonActionHolder = 0x46432e41,
    kOFSize = 'ptsz',
    kOFSpecifierOrListOfSpecifier = 'cct2',
    kOFSquareFeet = 'sqft',
    kOFSquareKilometers = 'sqkm',
    kOFSquareMeters = 'sqrm',
    kOFSquareMiles = 'sqmi',
    kOFSquareYards = 'sqyd',
    kOFStartDate = 'FCDs',
    kOFStartingPage = 'lwfp',
    kOFStatus = 'FCPs',
    kOFSteps = 'FCIn',
    kOFString = 'TEXT',
    kOFStyle = 'OSst',
    kOFStyledClipboardText = 'styl',
    kOFStyledText = 'STXT',
    kOFSuiteInfo = 'suin',
    kOFSyncing = 'FCsp',
    kOFTargetPrinter = 'trpr',
    kOFTask = 'FCac',
    kOFTaskOrMissingValue = 'cct8',
    kOFTextOrListOfText = 'cctA',
    kOFTextOrRealOrIntegerOrBooleanOrMissingValue = 'cct4',
    kOFTextStyleInfo = 'tsty',
    kOFTiff = 'OSct',
    kOFTree = 'OTtr',
    kOFTypeClass = 'type',
    kOFUnicodeText = 'utxt',
    kOFUnit = 'FCIu',
    kOFUnsignedInteger = 'magn',
    kOFUtf16Text = 'ut16',
    kOFUtf8Text = 'utf8',
    kOFV = 'OSvv',
    kOFValue = 'valL',
    kOFVersion = 'vers',
    kOFVersion_ = 'vers',
    kOFVisible = 'pvis',
    kOFW = 'OSwv',
    kOFWillAutosave = 'FCwa',
    kOFWindow = 'cwin',
    kOFWord = 'cwor',
    kOFWritablePasteboardTypes = 'OTWP',
    kOFWritingCode = 'psct',
    kOFX = 'OSxv',
    kOFXml = 'FCxm',
    kOFY = 'OSyv',
    kOFYards = 'yard',
    kOFZoomable = 'iszm',
    kOFZoomed = 'pzum',
};

enum {
    eOFPNGData = 'PNGf',
    eOFTIFFData = 'TIFF',
    eOFAncestorTrees = 'OTan',
    eOFApplications = 'capp',
    eOFArchiveData = 'OSAd',
    eOFAttachments = 'atts',
    eOFAttributeRuns = 'catr',
    eOFAttributes = 'OSsa',
    eOFAvailableTasks = 'FCat',
    eOFCharacters = 'cha ',
    eOFColorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue = 'cctB',
    eOFCompletionMatch = 'FCCM',
    eOFContentTrees = 'FCCt',
    eOFContextOrMissingValue = 0x6363743b,
    eOFContexts = 'FCct',
    eOFDateOrMissingValue = 0x6363743c,
    eOFDescendantTrees = 'OTds',
    eOFDocumentOrQuickEntryTree = 'cct6',
    eOFDocumentOrQuickEntryTreeOrFolder = 'cct5',
    eOFDocumentOrQuickEntryTreeOrProjectOrTask = 0x6363743a,
    eOFDocumentWindows = 'FCdw',
    eOFDocuments = 'docu',
    eOFFileAttachments = 'OSfA',
    eOFFileOrListOfFile = 'cct0',
    eOFFlattenedContexts = 'FCfc',
    eOFFlattenedFolders = 'FCff',
    eOFFlattenedProjects = 'FCfx',
    eOFFlattenedTasks = 'FCft',
    eOFFocusSectionss = 'FCFS',
    eOFFolderOrMissingValue = 'cct9',
    eOFFolders = 'FCAr',
    eOFFollowingSiblings = 'OTfs',
    eOFGeocode = 'FCgc',
    eOFGeocodeOrMissingValue = 'cct7',
    eOFInboxTasks = 'FCit',
    eOFInboxTrees = 'FCIs',
    eOFIntegerOrMissingValue = 0x6363743d,
    eOFItems = 'cobj',
    eOFLeaves = 'OTlf',
    eOFLibraryTrees = 'FCLt',
    eOFListOfFileOrSpecifier = 'cct1',
    eOFListOfItemOrFocusSectionsOrAny = 'cct3',
    eOFListOfSpecifierOrSpecifier = 0x63637440,
    eOFNamedStyles = 'OSns',
    eOFParagraphs = 'cpar',
    eOFPasteboardType = 'OTPT',
    eOFPerspectives = 'FCoo',
    eOFPoint_ = 'OSpt',
    eOFPrecedingSiblings = 'OTps',
    eOFPreferences = 'OFpf',
    eOFPrintSettings = 'pset',
    eOFProjectOrMissingValue = 0x6363743f,
    eOFProjects = 'FCpr',
    eOFQuickEntryTrees = 'FCQw',
    eOFRemainingTasks = 'FC0T',
    eOFRepetitionInterval = 'FCRi',
    eOFRepetitionIntervalOrMissingValue = 0x6363743e,
    eOFRichText = 'ctxt',
    eOFSections = 'FCSX',
    eOFSelectedTrees = 'OTst',
    eOFSettings = 'FCpf',
    eOFSidebarTrees = 'FCst',
    eOFSpecifierOrListOfSpecifier = 'cct2',
    eOFStyles = 'OSst',
    eOFTaskOrMissingValue = 'cct8',
    eOFTasks = 'FCac',
    eOFTextOrListOfText = 'cctA',
    eOFTextOrRealOrIntegerOrBooleanOrMissingValue = 'cct4',
    eOFTrees = 'OTtr',
    eOFWindows = 'cwin',
    eOFWords = 'cwor',
    pOFA = 'OSav',
    pOFAllowedMailSenders = 'FCAs',
    pOFAllowsNextAction = 'FCNA',
    pOFAltitude = 0x4f466c5e,
    pOFAssignedContainer = 'FCAc',
    pOFAvailableGroupingIdentifiers = 'FCGI',
    pOFAvailableSmartGroupIdentifiers = 'FCSI',
    pOFAvailableSortingIdentifiers = 0x46435e49,
    pOFAvailableTaskCount = 0x46436123,
    pOFAvailableTaskDurationFilterIdentifiers = 'FCFI',
    pOFAvailableTaskFlaggedFilterIdentifiers = 'FCFF',
    pOFAvailableTaskStateFilterIdentifiers = 0x46433f49,
    pOFAvailableViewModeIdentifiers = 'FCVM',
    pOFB = 'OSbv',
    pOFBlocked = 'FCBl',
    pOFBounds = 'pbnd',
    pOFBuildNumber = 'FCbn',
    pOFC = 'OScv',
    pOFCanRedo = 'FCcr',
    pOFCanUndo = 'FCcu',
    pOFCatalog = 'OScC',
    pOFClass_ = 'pcls',
    pOFCloseable = 'hclb',
    pOFCollating = 'lwcl',
    pOFColor = 'colr',
    pOFCompleted = 'FCcd',
    pOFCompletedByChildren = 'FCbc',
    pOFCompletionDate = 'FCdc',
    pOFCompressesTransactions = 'FCCX',
    pOFContainer = 'ctnr',
    pOFContainingDocument = 'FCCo',
    pOFContainingProject = 'FCPr',
    pOFContent = 'FCcn',
    pOFContext = 'FCct',
    pOFCopies = 'lwcp',
    pOFCreationDate = 'FCDa',
    pOFDefaultDocument = 'FCDo',
    pOFDefaultSingletonActionHolder = 0x4643642e,
    pOFDefaultValue = 'OFdv',
    pOFDefiningStyle = 'OSds',
    pOFDocument = 'docu',
    pOFDueDate = 'FCDd',
    pOFEffectivelyHidden = 'FCHe',
    pOFEmbedded = 'OSin',
    pOFEndingPage = 'lwlp',
    pOFErrorHandling = 'lweh',
    pOFEstimatedMinutes = 'FCEM',
    pOFExpanded = 0x4f54783f,
    pOFFaxNumber = 'faxn',
    pOFFile = 'file',
    pOFFileName = 'atfn',
    pOFFixed_ = 'FCIf',
    pOFFlagged = 'FCfl',
    pOFFocus = 'FCFs',
    pOFFolder = 'FCAr',
    pOFFont = 'font',
    pOFFrontmost = 'pisf',
    pOFG = 'OSgv',
    pOFH = 'OShv',
    pOFHidden = 'FCHi',
    pOFId_ = 'ID  ',
    pOFInInbox = 'FCIi',
    pOFInbox = 'FCIb',
    pOFIncludesSummaries = 0x46432b53,
    pOFIndex = 'pidx',
    pOFK = 'OSyk',
    pOFLastReviewDate = 'FCDr',
    pOFLastSyncDate = 'FCsd',
    pOFLastSyncError = 'FCse',
    pOFLatitude = 'OFly',
    pOFLibrary = 'FCLb',
    pOFLocation = 'FClo',
    pOFLongitude = 'OFlx',
    pOFM = 'OSym',
    pOFMinimizable = 'ismn',
    pOFMinimized = 'pmnd',
    pOFModificationDate = 'FCDm',
    pOFModified = 'imod',
    pOFName = 'pnam',
    pOFNextReviewDate = 'FCDR',
    pOFNextTask = 'FCna',
    pOFNext_ = 'FCnx',
    pOFNote = 'FCno',
    pOFNoteExpanded = 0x4f4e783f,
    pOFNumberOfAvailableTasks = 0x46432361,
    pOFNumberOfCompletedTasks = 0x46432363,
    pOFNumberOfTasks = 0x46432374,
    pOFPagesAcross = 'lwla',
    pOFPagesDown = 'lwld',
    pOFParentTask = 'FCPt',
    pOFPath = 'ppth',
    pOFPerspectiveName = 'FCPn',
    pOFPerspectiveNames = 'FPSn',
    pOFPng = 'OScp',
    pOFProperties = 'pALL',
    pOFQuickEntry = 'FCQE',
    pOFR = 'OSrv',
    pOFRadius = 'OFlO',
    pOFReadablePasteboardTypes = 'OTRP',
    pOFReferenceDate = 'FCrd',
    pOFRemainingTaskCount = 0x46437223,
    pOFRepetition = 'FCRp',
    pOFResizable = 'prsz',
    pOFReviewInterval = 'FCRI',
    pOFRootTask = 'FCrt',
    pOFS = 'OSsv',
    pOFScore = 'FCms',
    pOFSearchTerm = 0x46437e3d,
    pOFSelected = 0x4f54733f,
    pOFSelectedGroupingIdentifier = 'FCGi',
    pOFSelectedSmartGroupIdentifier = 'FCSs',
    pOFSelectedSortingIdentifier = 0x46435e69,
    pOFSelectedTaskDurationFilterIdentifier = 'FCFi',
    pOFSelectedTaskFlaggedFilterIdentifier = 'FCFf',
    pOFSelectedTaskStateFilterIdentifier = 0x46433f69,
    pOFSelectedViewModeIdentifier = 'FCvm',
    pOFSequential = 'FCsq',
    pOFSidebar = 'FCSt',
    pOFSingletonActionHolder = 0x46432e41,
    pOFSize = 'ptsz',
    pOFStartDate = 'FCDs',
    pOFStartingPage = 'lwfp',
    pOFStatus = 'FCPs',
    pOFSteps = 'FCIn',
    pOFStyle = 'OSst',
    pOFSyncing = 'FCsp',
    pOFTargetPrinter = 'trpr',
    pOFTiff = 'OSct',
    pOFUnit = 'FCIu',
    pOFV = 'OSvv',
    pOFValue = 'valL',
    pOFVersion_ = 'vers',
    pOFVisible = 'pvis',
    pOFW = 'OSwv',
    pOFWillAutosave = 'FCwa',
    pOFWritablePasteboardTypes = 'OTWP',
    pOFX = 'OSxv',
    pOFXml = 'FCxm',
    pOFY = 'OSyv',
    pOFZoomable = 'iszm',
    pOFZoomed = 'pzum',
};


/* Events */

enum {
    ecOFGetURL = 'GURL',
    eiOFGetURL = 'GURL',
};

enum {
    ecOFActivate = 'misc',
    eiOFActivate = 'actv',
};

enum {
    ecOFAdd = 'OFss',
    eiOFAdd = 'iadd',
    epOFTo = 'to  ',
};

enum {
    ecOFArchive = 'OFOC',
    eiOFArchive = 'FCbk',
    epOFCompression = 0x46432d2d,
    epOFIn = 'kfil',
    epOFSummaries = 0x46433d3d,
    epOFUsingCache = 0x46432b43,
};

enum {
    ecOFClose = 'core',
    eiOFClose = 'clos',
    epOFSaving = 'savo',
    epOFSavingIn = 'kfil',
};

enum {
    ecOFCompact = 'OFOC',
    eiOFCompact = 0x46433e3c,
};

enum {
    ecOFComplete = 'OFOC',
    eiOFComplete = 'FCCm',
    epOFAs = 'kocl',
    epOFMaximumMatches = 'FCmm',
    epOFSpanClass = 'FCsc',
};

enum {
    ecOFCount = 'core',
    eiOFCount = 'cnte',
    epOFEach = 'kocl',
};

enum {
    ecOFDelete = 'core',
    eiOFDelete = 'delo',
};

enum {
    ecOFDuplicate = 'core',
    eiOFDuplicate = 'clon',
//  epOFTo = 'insh',
    epOFWithProperties = 'prdt',
};

enum {
    ecOFExists = 'core',
    eiOFExists = 'doex',
};

enum {
    ecOFGet = 'core',
    eiOFGet = 'getd',
};

enum {
    ecOFIcal_synchronize = 'OFOC',
    eiOFIcal_synchronize = 'FCiC',
};

enum {
    ecOFImport = 'OFOC',
    eiOFImport = 0x46433c3c,
    epOFAt = 'insh',
    epOFWithContextsAt = 0x46433c43,
};

enum {
    ecOFInsert = 'TEXT',
    eiOFInsert = 'OSin',
//  epOFAt = 'insh',
    epOFUsing = 'OSIs',
};

enum {
    ecOFLaunch = 'ascr',
    eiOFLaunch = 'noop',
};

enum {
    ecOFMake = 'core',
    eiOFMake = 'crel',
//  epOFAt = 'insh',
    epOFNew_ = 'kocl',
    epOFWithData = 'data',
//  epOFWithProperties = 'prdt',
};

enum {
    ecOFMove = 'core',
    eiOFMove = 'move',
//  epOFTo = 'insh',
};

enum {
    ecOFOpen = 'aevt',
    eiOFOpen = 'odoc',
    epOFRepairInPlace = 0x4643522e,
    epOFUpgradeInPlace = 0x4643552e,
//  epOFUsingCache = 0x46432b43,
};

enum {
    ecOFOpenLocation = 'GURL',
    eiOFOpenLocation = 'GURL',
    epOFWindow = 'WIND',
};

enum {
    ecOFParseTasks = 'OFOC',
    eiOFParseTasks = 0x4643503f,
    epOFAsSingleTask = 'FC1T',
    epOFWithTransportText = 'FCFT',
};

enum {
    ecOFPbcopy = 'OTRE',
    eiOFPbcopy = 'copy',
//  epOFAs = 'OTas',
};

enum {
    ecOFPbpaste = 'OTRE',
    eiOFPbpaste = 'pste',
//  epOFAt = 'insh',
};

enum {
    ecOFPbsave = 'OTRE',
    eiOFPbsave = 'save',
//  epOFAs = 'fltp',
//  epOFIn = 'kfil',
};

enum {
    ecOFPrint = 'aevt',
    eiOFPrint = 'pdoc',
    epOFPrintDialog = 'pdlg',
//  epOFWithProperties = 'prdt',
};

enum {
    ecOFQuit = 'aevt',
    eiOFQuit = 'quit',
//  epOFSaving = 'savo',
};

enum {
    ecOFRedo = 'OFOC',
    eiOFRedo = 'FCRd',
};

enum {
    ecOFRemove = 'OFss',
    eiOFRemove = 'remv',
    epOFFrom = 'from',
};

enum {
    ecOFReopen = 'aevt',
    eiOFReopen = 'rapp',
};

enum {
    ecOFRun = 'aevt',
    eiOFRun = 'oapp',
};

enum {
    ecOFSave = 'core',
    eiOFSave = 'save',
//  epOFAs = 'fltp',
//  epOFCompression = 0x46432d2d,
//  epOFIn = 'kfil',
};

enum {
    ecOFSelect = 'OTRE',
    eiOFSelect = 'isal',
    epOFExtending = 'OTex',
};

enum {
    ecOFSet = 'core',
    eiOFSet = 'setd',
//  epOFTo = 'data',
};

enum {
    ecOFSynchronize = 'OFOC',
    eiOFSynchronize = 'FCsy',
};

enum {
    ecOFUndo = 'OFOC',
    eiOFUndo = 'FCUd',
};

