#import <Cocoa/Cocoa.h>
#import "OFGlue/OFGlue.h"
#import "MFMenuItem.h"
#import "MFMenuItemViewController.h"

@interface MenuFocusAppDelegate : NSObject <NSApplicationDelegate> {
@private
    NSWindow *window;
    NSPopUpButton *contextSelector;
    NSMenu *statusMenu;
    NSStatusItem * statusItem;
    OFReference *omniReference;
}

@property (assign) IBOutlet NSWindow *window;
@property (retain) IBOutlet NSPopUpButton *contextSelector;
@property (assign) IBOutlet NSMenu *statusMenu;
@property (retain, nonatomic) OFReference *omniReference;

- (IBAction) updateTaskList:(id)sender;
- (IBAction) showPreferences:(id)sender;
- (void) addPreferenceOptionToMenu;
- (NSArray*) getContexts;
- (NSArray*) actionsForContext:(NSString*) context;
- (IBAction) markActionAsDone: (NSString*) action;
- (NSString*) chosenContext;
- (void) setChosenContext:(NSString*) context;

@end
